import type { IAutoFillRule } from './types';
export interface IAutoFillService {
    getRules: () => IAutoFillRule[];
    registerRule: (rule: IAutoFillRule) => void;
}
export declare class AutoFillService implements IAutoFillService {
    private _rules;
    constructor();
    private _init;
    registerRule(rule: IAutoFillRule): void;
    getRules(): IAutoFillRule[];
}
